# Uses of Class
ch.qos.logback.core.joran.spi.ElementSelector

Packages that use ElementSelector
Package
Description
ch.qos.logback.core.joran.spi

## Uses of ElementSelector in ch.qos.logback.core.joran.spi

Methods in ch.qos.logback.core.joran.spi with parameters of type ElementSelector
Modifier and Type
Method
Description
`void`
RuleStore.`addRule(ElementSelector elementSelector, Action action)`
Add a new rule, given by a pattern and an action instance.
`void`
RuleStore.`addRule(ElementSelector elementSelector, String actionClassStr)`
Add a new rule, given by a pattern and a action class (String).
`void`
SimpleRuleStore.`addRule(ElementSelector elementSelector, Action action)`
Add a new rule, i.e.
`void`
SimpleRuleStore.`addRule(ElementSelector elementSelector, String actionClassName)`